View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001585SAS.Планета[All Projects] Хотелкаpublic21-09-2012 19:4714-10-2012 16:21
Reportervasketsov 
Assigned Tovasketsov 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformWindowsOSVistaOS VersionUltimate
Product Version.Nightly 
Target Version121010Fixed in Version121010 
Summary0001585: Облагораживание формы получения доступных снимков
DescriptionПосле того как залита в репо доработка на тему создания полигонов для геометрии снимков с DG (работает по выбранным снимкам, благодрности уходят в том числе Garl), имеет смысл сделать (или как минимум обсудить, или как максимум обсудить, в общем как уж получится):

1. Для Bing не выводить дату в виде D - D, а урезать до D (если даты одинаковые).
2. Сделать разные иконки для разных сервисов или брать их из zmp и в дереве отображать их для пущей визуальности.

ИМХО: чтобы не потерять наглядность - я против чтобы 1 делать без 2.

3. Сделать создание полигонов не через общий диалог импорта (точки и пути вообще ни при чём, галка игнорирования полигонов тоже не нужна), а через диалог свойств полигона, который отображается при сохранении полигона после его редактирования. Там забабахать некие дефолтные значения, а в имя и описание занести текст типа %date% - %featureId% - чтобы можно было настроить пользователю, что залетает из полей, и оно бы подставлялось для каждого полигончика.

4. Сделать на уровне БД меток возможность отложенного сохранения, типа BeginUpdateMarks и EndUpdateMarks, а то сейчас метки сохраняются в файл столько раз, сколько новых меток добавляется при нажатии на кнопку создания полигонов для выбранных снимков.

5. Сделать по аналогии чекбокса выделения и сброса всех элеметов в дереве чекбокс выбора всех сервисов (типа chkAllAbove). Ввиду большого дублирования с DG2 (который catalog) - сделать chkAllAbove выше chkDG2, чтобы chkAllAbove не "работало" по чекбоксу DG2 (который catalog). Хотя это конечно дискуссионно.

6. То о чём я уже писал - сделать отсечку landsat отдельным чекбоксом ниже или правее chkAllAbove (типа chkShowLowRes для Resolution >= 14м, общая функция проверки Resolution там уже есть, надо её просто позвать).

Ещё идеи?
Tagsдоступные снимки
Attached Filespng file icon 2012-09-24_112018.png [^] (18,340 bytes) 24-09-2012 07:22


jpg file icon frm_ava.jpg [^] (84,409 bytes) 29-09-2012 21:16


jpg file icon nmc.jpg [^] (66,575 bytes) 08-10-2012 05:09


png file icon 2012-10-08_095719.png [^] (13,863 bytes) 08-10-2012 05:59

- Relationships

-  Notes
(0009015)
vasketsov (manager)
22-09-2012 08:28

Пояснение к 1: вместо '2011-07-13 - 2011-07-13' выводить '2011-07-13', а '2010-05-11 - 2010-07-16' оставлять как есть.

Здесь же:
а) вместо 2010.05.11 08:05:17.055 для NMC выводить в дерево только 2010.05.11 (в табличке снизу - полностью оригинальное значение 2010-05-11 08:05:17.055);
б) для ESRI наоборот "раздвигать" дату (там дата типа Integer), вместо 20100727 сделать 2010.07.27, и перед IDOBJECT добавить ESRI для наглядности.

Заодно и ошибка нашлась, если в табличке с параметрами для снимка NMC (где много параметров) уйти вниз, а потом кликнуть на terraserver или dg (где параметров мало) - будет исключение List index out of bounds (N). Подлежит дератизации.
(0009016)
vasketsov (manager)
22-09-2012 13:11

Сделал всё описанное выше кроме 1-3, устранил замеченные ошибки.
(0009018)
Tolik (manager)
24-09-2012 07:22
edited on: 24-09-2012 07:26

Спасибо за экзешник и за улучшения.
В снимках Nokia z20 в списке показана одна дата, д.б. две, см. скриншот:
показано 2011.08.08 09:03:02.211, должно быть 2011.08.08 - 2012.06.05 (часть снимков, действительно, 2012 года).

Также хорошо бы под датой написать, что это Nokiа z20, а не непонятный id.

(0009019)
Tolik (manager)
24-09-2012 07:30
edited on: 24-09-2012 07:43

А ещё для Нокии не работает Add Polygon, хотя координаты имеются.
P.S. Нет, это не координаты снимка, а ерунда.

(0009020)
vasketsov (manager)
24-09-2012 10:28
edited on: 24-09-2012 10:41

>для Нокии не работает Add Polygon
Формально это не совсем ерунда, это границы изображений.
Только вот они в рамках запрошенного тайла.
Что делает их ерундой в контексте создания метки по границе снимка )).
Как только будет для NMC алгоритм получения границы изображений - так сразу и сделаем, пока же - никак.

>под датой написать, что это Nokiа z20, а не непонятный id
Тут вот в чём дело.
1. Как придумано сейчас - z20 писать нельзя, так как если одна дата для нескольких зумов (это бывает так, а бывает ине так) - тогда они валятся в один пункт, только лишь добавляя в конец таблички строки типа 'Zoom 16 - Yes', 'Zoom 18 - Yes',... - то есть поле под датой не должно зависеть от зума, иначе много информации будет просто дублироваться. Хотя можно пойти иным путём: добавлять как раз префикс NMC zNN перед key, и вместе с этим отказаться от добавления в табличку в конце строк типа 'Zoom 16 - Yes', 'Zoom 18 - Yes',... В этом случае поддерживаемые зумы будут сразу видны при раскрытии даты. Это даже удобнее чем сейчас.
Вот только id по любому придётся оставить для унификации. Если когда будем обрезать дату - с точностью до дня запросто возможны несколько снимков, и без уникального ключа они просто перепутаются.

2. Я несколько удивлён таким разбросом Date у нокии, они ж вроде как по каждому снимку в границах тайла возвращают отдельную инфу о снимке. Возможно это следствие того что несколько зумов "перемешались" (то о чём написано выше, инфа с разных зумов падает в одну таблу, и больший квадрат на меньшем зуме содержит инфу о бОльшем количестве снимков, оттого и фигня такая). Возможно если сделать как ты предлагаешь (NMC zNN перед key), то эта проблема вообще исчезнет. На всякий случай укажи координаты и зум, для которых такой результат, как буду править это - так и проверю после разделения зумов.

(0009024)
Tolik (manager)
24-09-2012 14:28
edited on: 24-09-2012 14:32

Координаты N55°49'16.13" E37°22'14.98", зум 17 (вообще-то любой).
Разброс дат действительно есть, а границ между снимками 2012 и 2011 я не нашёл. Например, здесь снимки 2012 года (судя по застройке), а здесь 2011: N55°47'33.11" E37°32'59.97" (судя по дорожной разметке). А результат поиска один и тот же.
 

Если нельзя написать зум в результатах поиска, надо хотя бы написать Nokia Map Creator, а то сейчас непонятно.

Раз уж тема "облагораживание", предлагаю заодно убрать подменю Additional Operations и перенести всё оттуда в основное контекстное меню (экономия всего 2 пункта).

(0009078)
Garl (manager)
29-09-2012 21:22
edited on: 29-09-2012 21:23

приложил frm_ava.jpg
может в эту сторону попробовать. на ещё 2 пункта место есть ...
или заморачиваться с вкладками (поиск/результаты)???

з.ы.
в общем если всё пойдёт по плану... то нужно будет ещё 1 пункт лепить (WоrldView-1\2)

(0009082)
Tolik (manager)
30-09-2012 07:39

Симпатично. Не надо с вкладками заморачиваться.
(0009095)
vasketsov (manager)
01-10-2012 12:01

Да, пожалуй, если форма со снимками не докается к краям экрана - так симпатишнее выглядит.

>Не надо с вкладками заморачиваться
+1 за "не надо"
(0009123)
Fetser (reporter)
02-10-2012 15:47

Убедительная просьба, при разработки формы не забывать что русские названия всегда длиннее английских. Сейчас не возможно втиснуть при локализации:
Low Resolution too - Также низкого разрешения
Make Polygon - Создать полигон
И было бы совсем хорошо, если бы автор поделился как по его мнению должны звучать русские варианты надписей. Тут вроде все по русски пишут, значит русский знают :)
(0009128)
Garl (manager)
02-10-2012 18:50

Low Resolution too - "и низкого качества"
Make Polygon - "Создать полигон" :) (на пока можно сделать "полигон" или "в метки"

форму расширим, как только буду делать коммит
(0009133)
Fetser (reporter)
03-10-2012 07:36

И ещё пожелание - В хинты писать более развёрнутые пояснения. А то сейчас кнопка "Make Polygon" и хинт "Make Polygon" и сложно с разбегу понять где создать полигон, из чего.
(0009135)
Garl (manager)
03-10-2012 12:39

так проще в Wiki эти ньюансы описывать ибо их там куча.
(0009136)
bk99 (reporter)
03-10-2012 13:25

... а хинты всё равно лишними не будут.
И в вики тоже...
(0009145)
Garl (manager)
05-10-2012 06:42

Коммит принят в следующей ночнушке просьба пощупать и отписться по хотелкам
(0009148)
Tolik (manager)
05-10-2012 06:57

Было бы неплохо разделять изменения на несколько коммитов, чтобы по названию было понятно, что к чему.

Commit 0a9cb427bd87 "Поиск средствами datadооrs.nеt, использование POST запросов и реквизитов HEADER, причёсывание переменных, шлифовка интерфейса , разное."

Облагораживание формы получения доступных снимков тоже где-то тут между "шлифовкой" и "разное"?
(0009149)
Garl (manager)
05-10-2012 06:59

это понятно, но там сильно много взаимосвязанных изменений.
дальше будет лучше. :)
(0009187)
vasketsov (manager)
05-10-2012 20:10

Garl, раз уж "использование POST запросов и реквизитов HEADER" - может и поиск снимков на космоснимках (http://search.kosmosnimki.ru/index.html) сможешь осилить? По ним даты снимков яндекса можно смотреть. Я как-то давно пытался - нифига не вышло.
(0009191)
Garl (manager)
05-10-2012 21:27
edited on: 05-10-2012 21:35

> может и поиск снимков на космоснимках (http://search.kosmosnimki.ru/index.html) сможешь осилить?
слона то я и не заметил :)
а что там интересного чего нету у нас? только Eros A\B ?
или я что ещё пропустил?

(0009192)
vasketsov (manager)
05-10-2012 21:43

Ну на самом деле оттуда актуален яндекс. Если в DD есть в том числе всякие иконосы от яндекса - может и не актуально уже search.kosmosnimki.ru.
(0009209)
Tolik (manager)
06-10-2012 19:13

Пощупал. Хорошо. Только чекбоксы несколько хаотично разбросаны, как-то причесать бы их. Выстроить ровными рядами.

Какой-то datadoors появился - с чем его едят? Как эти снимки посмотреть?
Замечания по Нокии ещё не исправлены, повторюсь:

В снимках Nokia z20 в списке показана одна дата, д.б. две, см. скриншот:
показано 2011.08.08 09:03:02.211, должно быть 2011.08.08 - 2012.06.05 (часть снимков, действительно, 2012 года).

Также хорошо бы под датой написать, что это Nokiа z20, а не непонятный id.
(0009210)
Garl (manager)
06-10-2012 19:21

кстати да.
datadoors (DD:******) это провайдер средствами которого достаются данные о снимках и , 5 чекбоксов под ним - и есть те спутники по которым можно искать.

как смотреть снимки с Datadoors - пока непонятно ибо нету спаленного ключика или сервиса, который показывает оттуда снимки,(или пока слабо ковыряли)
(0009215)
Dima2000 (developer)
07-10-2012 00:39

А зачем оставлена возможность редактирования полей нижнего списка? Выделение и копирование понятно, но редактирование имхо явно излишне.

Ещё, я бы текст "Bing (масштаб 15)" объединил в один, без лишних пробелов.

Пожелание. Нельзя ли показывать GUID карты (и название если такая загружена) в hint на каждую галку. Кто не совсем в теме (как я) совершенно непонятно ГДЕ ЖЕ СМОТРЕТЬ найденные снимки!
(0009216)
bk99 (reporter)
07-10-2012 04:52

> я бы текст "Bing (масштаб 15)" объединил в один, без лишних пробелов

Может просто: "Bing (z15)"

или: "Bing(z15)" (без пробела, но так хуже)
(0009217)
Garl (manager)
07-10-2012 05:21

>Кто не совсем в теме (как я) совершенно непонятно ГДЕ ЖЕ СМОТРЕТЬ найденные снимки!
думал уже про это, можно добавить линк на превью от DigitalGlobe
(0009220)
vasketsov (manager)
07-10-2012 06:23

>можно добавить линк на превью от DigitalGlobe
+1
тем болеее что линк на тайл bing-а вроде как тоже есть )))

>Нельзя ли показывать GUID карты (и название если такая загружена) в hint на каждую галку
Нельзя. Этот сервис поиска снимков никакого отношения к картам не имеет. Там конечно есть недоделанная "закладка", чтобы получать параметры запросов из zmp. Но не для каждого сервиса есть zmp.
(0009274)
vasketsov (manager)
07-10-2012 20:58

>Замечания по Нокии ещё не исправлены
См. завтра.
(0009276)
Tolik (manager)
08-10-2012 04:25

Спасибо, теперь всё ок.
Последний штрих: хорошо бы сохранять размеры окошка (и положение горизонтального разделителя) в ini. Если не лень. А можно его просто немного увеличить.
(0009278)
Garl (manager)
08-10-2012 05:20

хоть что хотите делайте, а одинаковый диапазон дат у NMC надо таки обрезать до 1 даты, особенно когда ищешь многими провайдерами и на большом зуме... см скриншот.
(0009280)
Tolik (manager)
08-10-2012 05:48

Не понял, зачем обрезать?
Мне, наоборот, удобнее, чтобы был диапазон, т.к. в моём примере показывает от 2011 года (что не интересует) до 2012 (то, что нужно), и если показывать только первую дату, можно не заметить нужные снимки.
(0009281)
Tolik (manager)
08-10-2012 05:53

А, если даты earliest и latest совпадают (после обрезания часов и минут), тогда можно показывать только одну. Опять же, если не лень, и так уже хорошо.
(0009282)
Garl (manager)
08-10-2012 05:55

именно при совпадении начально и конечной даты - Выводить только одну.
(0009283)
Tolik (manager)
08-10-2012 05:58
edited on: 08-10-2012 06:00

Согласен.

Если уж придираться, я заметил, что сортировка по датам не всегда срабатывает.
Например, если выбрать только 4 галочки NMC, результаты не сортируются (см. 2010-02-26_133152.png), а если включить ещё и DG, то сортируются нормально.

(0009287)
vasketsov (manager)
08-10-2012 07:55

>одинаковый диапазон дат у NMC надо таки обрезать до 1 даты
Да, это я не додумал. Чё-то подумалось, что если earliest и latest есть - то они совпадут, иначе нафиг они по отдельности нужны, и NMC бы выплюнул только одну дату. Ща сделаем.
(0009288)
Garl (manager)
08-10-2012 07:56

и про Бинг не забудь плиз, там тоже диапазоном выдаёт.
(0009290)
Garl (manager)
08-10-2012 10:28

я тут вот чего подумал:
может сделать поиск GeoEye и Ikonos1\2 через официальный сайт
http://geofuse.geoeye.com/maps/Map.aspx
ибо как сейчас в обход(Datadoors) как то не кошерно
(0009291)
Tolik (manager)
08-10-2012 10:45

И показывать их только если Low resolution too
(0009292)
vasketsov (manager)
08-10-2012 11:02

>http://geofuse.geoeye.com/maps/Map.aspx
Уже делаю )))

>если Low resolution too
А это-то при чём? Предполагалось это исключительно для 15-метровых снимков и хуже, типа Landsat-а. Ну на худой конец IRS. Но уж явно не для 0.84, там всё же субметровая точность.

Я вот чё придумал. Если галочка geofuse.geoeye снята - запрос идёт к DD. Если включена - для DD не отрабатывают 4 и 5 а сразу на geofuse.geoeye.
(0009293)
zed (manager)
08-10-2012 11:08

А можно попросить сделать какую-нибудь примитивную индикацию, что идёт поиск доступных снимков? Хотя бы тупо изменять заголовок окошка "Доступные снимки: Поиск..."
(0009294)
Tolik (manager)
08-10-2012 11:10

А сейчас есть индикация. Забавная, только не очевидная.
Во время поиска чекбоксы сереют, потом опять чернеют :)
(0009295)
Garl (manager)
08-10-2012 11:13

>А сейчас есть индикация. Забавная, только не очевидная.
та вроде всё понятно и просто.

>Я вот чё придумал. Если галочка geofuse.geoeye снята - запрос идёт к DD. Если включена - для DD не отрабатывают 4 и 5 а сразу на geofuse.geoeye.
тогда их как-нибудь более логично надо расположить дабы не вводить пользотвателей в ступор и не провоцировать на глупые вопросы.
(0009328)
vasketsov (manager)
08-10-2012 17:51

>тупо изменять заголовок окошка
Не прокатит. Там куча потоков, и как такового момента окончания поиска нет.
Тем более что все сервисы отвечают разное время, а terraserver иногда вообще подвисает. Так что индикация требуется по каждому потоку к сервису. Придумалось серить чекбоксы - как наиболее простое решение, удовлетворяющее требованию, чтобы было видно что ждёт, а что отстрелялось.

>как-нибудь более логично надо расположить
Сегодня вот залью geofuse.geoeye и прочие минорные правки - обсудим чё ещё подкрутить. Если на днях релизиться - всё равно этот пункт закрывать придётся.
(0009329)
Garl (manager)
08-10-2012 18:44

а может в создаваемой метке делать ссылку непосредственно на Джипег?
http://geofuse.geoeye.com/static/browse/geoeye/ge1/2012/07/12/2012071208340441603031608999_1.jpg
вместо http://geofuse.geoeye.com/landing/image-details/Default.aspx?id=20120712083404416030316089992012071208340441603031608999_001
или уж делать 2 ссылки и то и другое.
(0009330)
Garl (manager)
08-10-2012 18:53

и ещё: может для юзать в запросе облачность не более 5%, как у DD или DG а то местами много белых облаков выдаёт...
(0009332)
vasketsov (manager)
08-10-2012 19:35
edited on: 08-10-2012 19:37

>делать ссылку непосредственно на Джипег
С жпега же уже никуда не уйти, и метаданные не посмотреть. А они в метку не все залетают (например тот же угол к зениту\надиру). Потом искать по новой?
Тем более что на странице с метаданными и так есть жпег (предпросмотр картинки).
В общем я пока не очень понимаю смысл сохранения ссылки в метке на сам жпег (а не на метаданные с жпегом), это ж тупиковая ветвь информации.

Вот для сравнения была ссылка на globexplorer с width=512. Но что дальше с этим снимком сделать? Ничего, только посмотреть. Даже переключить размер на максимально возможный никак нельзя было.

>юзать в запросе облачность не более 5%
Не-а. Бывают снимки, что облачная полоса закрывает половину, а остальное девственно чистое. И как раз в том месте где нет облаков, это вполне может быть уникальный снимок. А с фильтром - даже не узнаешь о его существовании. Там где мало снимков - каждый снимок на счету, даже облачный.

(0009336)
Garl (manager)
09-10-2012 02:56

мысли в слух:а если прилепить EditBox и учитывать облачность при запросе??
... а потом ещё и даты захочется...
(0009338)
Tolik (manager)
09-10-2012 04:02
edited on: 09-10-2012 04:32

А можно URLы прямо в форме сделать кликабельными? Чтобы картинка открывалась в браузере (а не приходилось её вручную копировать).

И сделайте пож. превьюшку для DG 1024х1024, а не 512х512.

А в метку (полигон) лучше вставлять все URLы, и на jpeg, и на страницу просмотра.

P.S. Отличная идея - сделать превью! Нашёл снимок, который долго искал (ждал)!

P.P.S. А что дальше делать со снимками, найденными на browse.digitalglobe.com? Вот нашёл интересный снимок, мелкий и кособокий, его можно как-то (автоматически) привязать, увеличить?

(0009339)
Tolik (manager)
09-10-2012 04:40
edited on: 09-10-2012 04:47

А для террасервера можно сделать URL? Там же есть какие-никакие превью с кучей логотипов.

Для DG (catalogservice) надо сделать такие же URL, как для worldview (на jpeg 1024х1024 и на metadata).

(0009343)
Garl (manager)
09-10-2012 05:09

>P.P.S. А что дальше делать со снимками, найденными на browse.digitalglobe.com?
не поверишь: покупать :)

для Террасервера - и действетельно превью тоже можно.
(0009353)
Tolik (manager)
09-10-2012 05:54

> не поверишь: покупать :)
Блин, я так и знал :D
(0009371)
vasketsov (manager)
09-10-2012 07:28

>а если прилепить EditBox и учитывать облачность при запросе??
Запросто, но давай как-нибудь потом ))).
Ещё идея - сделать в форме поиска залипающую кнопку, и по ней включать-отключать все полигоны снимков (без затрагивания меток), как на сайтах сервисов при поиске.

>можно URLы прямо в форме сделать кликабельными?
Даблклик в поле с текстом урла устроит?

>лучше вставлять все URLы, и на jpeg, и на страницу просмотра
Да, я уже тоже понял что надо оба линка, в частности на дохлом инете natres от dg дохнет и чахнет. Сегодня сделаю.

>превьюшку для DG 1024х1024, а не 512х512
Зачем? Превьюшка 512х512 минимально лёгкая, ушёл по линку с метаданными - получил natres и возможность менять размер картинки (хинт - даже ещё до её загрузки). Всем всё равно не угодишь. Вот и кажется вполне удобным оставить 512х512 и natres в метаданных.
(0009372)
Tolik (manager)
09-10-2012 07:35

Даблклик устроит, дважды кликнуть сил хватит :)

По мне 512 - слишком маленький, а 1024 достаточно лёгкий. Но сильно настаивать не буду.
(0009375)
vasketsov (manager)
09-10-2012 08:32

>Даблклик устроит
Сёдня будет ))

>512 - слишком маленький, а 1024 достаточно лёгкий
Я бывает на ноуте по GPRS смотрю снимки и тайлы гружу, когда совсем припрёт ((
Хотя разница в размере там наверное треть всего, пофигу, как решите - так и сделаю одинаково.
(0009377)
vasketsov (manager)
09-10-2012 08:37
edited on: 09-10-2012 08:41

А кстати я так и "ниасилил" Accept-Encoding: gzip, deflate.
Пришлось оставить Accept-Encoding: deflate.
Похоже TArchiveReadByKaZip только с файлами умеет работать, а буффер в буффер - никак (((
Попробуем-ка ALZLibExGZ

(0009378)
Tolik (manager)
09-10-2012 08:38

Кликнул куда попало, скачал превью.
512 - 92КБ
1024 - 335КБ
Для GPRS разница, конечно, есть...
С другой стороны, ЭТИМ заниматься через GPRS - как-то странно.
(0009380)
vasketsov (manager)
09-10-2012 08:46

Этим заниматься в лесу, когда на ноуте в сасе есть только IRS, может и странно, но деваться бывает некуда. Хотя конечно можно заранее качнуть все жпеги, но бешеной собаке 7 вёрст не крюк, занести может далеко )))
С другой стороны, на 512 реально нифига не видно (дороги, ручьи, мосты,..) и всё равно придётся грузить natres (((
(0009382)
Tolik (manager)
09-10-2012 08:57

Вот именно, на 512 - ни фига не видно, потому и просил 1024.
(0009417)
vasketsov (manager)
09-10-2012 14:19

Обновил приаттаченный SASPlanet_bug1585.rar
(0009439)
Tolik (manager)
10-10-2012 04:49
edited on: 10-10-2012 05:05

Всё круто, только превью террасервера не работает.

Генерится ссылка на view_frm.asp:
http://www.terraserver.com/view_frm.asp?cx=37.3679&cy=55.8185&mpp=5&proj=4326&pic=img&prov=-1&stac=-1&ovrl=-1&drwl=&lgin=53568&styp=&vic=

но этот скрипт, похоже, рисует только рамку, а рабочий линк (который даёт сам сервер) выглядит так:
http://www.terraserver.com/?tid=21&cx=397738.1&cy=6187084.5&proj=32637&mpp=5&pic=img&prov=dg&stac=abffb9a76f910c27885b2d85fd91357c

отдельно картинка так:
http://tsms.terraserver.com/?img_key=8064C419-0952-423A-A0EC-7A7D666047BA

Но в общем, это уже мелочи, "облагораживание формы" можно считать решённым. Если починить это превью сложно, можно его пока выкинуть.

(0009444)
vasketsov (manager)
10-10-2012 08:09

>img_key=
Алгоритма получения img_key у меня нет. А у кого и есть - в паблик его светить неразумно.

Сделаю линк на terraserver как по ПКМ в основной форме. И закрою.
(0009445)
zed (manager)
10-10-2012 08:19

Сегодня ждать?
(0009446)
Garl (manager)
10-10-2012 08:29

>Алгоритма получения img_key у меня нет.
в zmp есть ,а у тебя нету :)
http://sasgis.org/forum/viewtopic.php?f=2&t=57&start=1960#p30390
(0009448)
Tolik (manager)
10-10-2012 08:38
edited on: 10-10-2012 08:40

Можно не генерить img_key, а сгенерить ссылку
http://www.terraserver.com/?tid=21&cx=397738.1&cy=6187084.5&proj=32637&mpp=5&pic=img&prov=dg&stac=abffb9a76f910c27885b2d85fd91357c


Этот stac совпадает с параметром layer, который виден в форме.

P.S. Ну да, это и будет как по ПКМ из гл.окна. И stac, оказывается, не нужен.

(0009451)
vasketsov (manager)
10-10-2012 08:45
edited on: 10-10-2012 08:50

>в zmp есть
фигасе новости, буду посмотреть ))
зы. так и я умею как в zmp ))))

>stac, оказывается, не нужен
нужен и stac и prov.

>Сегодня ждать?
Сейчас )))


- Users who viewed this issue
User List Anonymous (4300x), rass (1x)
Total Views 4301
Last View 10-08-2020 08:52

- Issue History
Date Modified Username Field Change
21-09-2012 19:47 vasketsov New Issue
22-09-2012 08:28 vasketsov Note Added: 0009015
22-09-2012 13:11 vasketsov Note Added: 0009016
24-09-2012 07:06 vasketsov File Added: SASPlanet_bug1585.rar
24-09-2012 07:22 Tolik Note Added: 0009018
24-09-2012 07:22 Tolik File Added: 2012-09-24_112018.png
24-09-2012 07:23 Tolik Assigned To => vasketsov
24-09-2012 07:23 Tolik Status new => assigned
24-09-2012 07:24 Tolik Note Edited: 0009018 View Revisions
24-09-2012 07:25 Tolik Note Edited: 0009018 View Revisions
24-09-2012 07:26 Tolik Note Edited: 0009018 View Revisions
24-09-2012 07:30 Tolik Note Added: 0009019
24-09-2012 07:43 Tolik Note Edited: 0009019 View Revisions
24-09-2012 10:28 vasketsov Note Added: 0009020
24-09-2012 10:41 vasketsov Note Edited: 0009020 View Revisions
24-09-2012 14:28 Tolik Note Added: 0009024
24-09-2012 14:30 Tolik Note Edited: 0009024 View Revisions
24-09-2012 14:30 Tolik Note Edited: 0009024 View Revisions
24-09-2012 14:32 Tolik Note Edited: 0009024 View Revisions
29-09-2012 21:16 Garl File Added: frm_ava.jpg
29-09-2012 21:22 Garl Note Added: 0009078
29-09-2012 21:23 Garl Note Edited: 0009078 View Revisions
30-09-2012 07:39 Tolik Note Added: 0009082
01-10-2012 12:01 vasketsov Note Added: 0009095
02-10-2012 15:47 Fetser Note Added: 0009123
02-10-2012 18:50 Garl Note Added: 0009128
03-10-2012 07:36 Fetser Note Added: 0009133
03-10-2012 12:39 Garl Note Added: 0009135
03-10-2012 13:25 bk99 Note Added: 0009136
05-10-2012 06:42 Garl Note Added: 0009145
05-10-2012 06:57 Tolik Note Added: 0009148
05-10-2012 06:59 Garl Note Added: 0009149
05-10-2012 20:10 vasketsov Note Added: 0009187
05-10-2012 21:27 Garl Note Added: 0009191
05-10-2012 21:35 Garl Note Edited: 0009191 View Revisions
05-10-2012 21:43 vasketsov Note Added: 0009192
06-10-2012 19:13 Tolik Note Added: 0009209
06-10-2012 19:21 Garl Note Added: 0009210
07-10-2012 00:39 Dima2000 Note Added: 0009215
07-10-2012 04:52 bk99 Note Added: 0009216
07-10-2012 05:21 Garl Note Added: 0009217
07-10-2012 06:23 vasketsov Note Added: 0009220
07-10-2012 20:58 vasketsov Note Added: 0009274
08-10-2012 04:25 Tolik Note Added: 0009276
08-10-2012 05:09 Garl File Added: nmc.jpg
08-10-2012 05:20 Garl Note Added: 0009278
08-10-2012 05:48 Tolik Note Added: 0009280
08-10-2012 05:53 Tolik Note Added: 0009281
08-10-2012 05:55 Garl Note Added: 0009282
08-10-2012 05:58 Tolik Note Added: 0009283
08-10-2012 05:59 Tolik File Added: 2012-10-08_095719.png
08-10-2012 06:00 Tolik Note Edited: 0009283 View Revisions
08-10-2012 06:00 Tolik Note Edited: 0009283 View Revisions
08-10-2012 07:55 vasketsov Note Added: 0009287
08-10-2012 07:56 Garl Note Added: 0009288
08-10-2012 10:28 Garl Note Added: 0009290
08-10-2012 10:45 Tolik Note Added: 0009291
08-10-2012 11:02 vasketsov Note Added: 0009292
08-10-2012 11:08 zed Note Added: 0009293
08-10-2012 11:10 Tolik Note Added: 0009294
08-10-2012 11:13 Garl Note Added: 0009295
08-10-2012 17:51 vasketsov Note Added: 0009328
08-10-2012 18:44 Garl Note Added: 0009329
08-10-2012 18:53 Garl Note Added: 0009330
08-10-2012 19:35 vasketsov Note Added: 0009332
08-10-2012 19:37 vasketsov Note Edited: 0009332 View Revisions
09-10-2012 02:56 Garl Note Added: 0009336
09-10-2012 04:02 Tolik Note Added: 0009338
09-10-2012 04:20 Tolik Note Edited: 0009338 View Revisions
09-10-2012 04:21 Tolik Note Edited: 0009338 View Revisions
09-10-2012 04:23 Tolik Note Edited: 0009338 View Revisions
09-10-2012 04:32 Tolik Note Edited: 0009338 View Revisions
09-10-2012 04:40 Tolik Note Added: 0009339
09-10-2012 04:47 Tolik Note Edited: 0009339 View Revisions
09-10-2012 05:09 Garl Note Added: 0009343
09-10-2012 05:54 Tolik Note Added: 0009353
09-10-2012 07:28 vasketsov Note Added: 0009371
09-10-2012 07:35 Tolik Note Added: 0009372
09-10-2012 08:00 vdemidov Target Version => 121010
09-10-2012 08:32 vasketsov Note Added: 0009375
09-10-2012 08:37 vasketsov Note Added: 0009377
09-10-2012 08:38 Tolik Note Added: 0009378
09-10-2012 08:41 vasketsov Note Edited: 0009377 View Revisions
09-10-2012 08:46 vasketsov Note Added: 0009380
09-10-2012 08:57 Tolik Note Added: 0009382
09-10-2012 14:17 vasketsov File Deleted: SASPlanet_bug1585.rar
09-10-2012 14:18 vasketsov File Added: SASPlanet_bug1585.rar
09-10-2012 14:19 vasketsov Note Added: 0009417
10-10-2012 04:49 Tolik Note Added: 0009439
10-10-2012 04:51 Tolik Note Edited: 0009439 View Revisions
10-10-2012 05:05 Tolik Note Edited: 0009439 View Revisions
10-10-2012 08:09 vasketsov Note Added: 0009444
10-10-2012 08:19 zed Note Added: 0009445
10-10-2012 08:29 Garl Note Added: 0009446
10-10-2012 08:38 Tolik Note Added: 0009448
10-10-2012 08:40 Tolik Note Edited: 0009448 View Revisions
10-10-2012 08:45 vasketsov Note Added: 0009451
10-10-2012 08:47 vasketsov Status assigned => resolved
10-10-2012 08:47 vasketsov Fixed in Version => 121010
10-10-2012 08:47 vasketsov Resolution open => fixed
10-10-2012 08:47 vasketsov File Deleted: SASPlanet_bug1585.rar
10-10-2012 08:50 vasketsov Note Edited: 0009451 View Revisions
14-10-2012 16:21 Garl Tag Attached: доступные снимки



Copyright © 2007 - 2020 SAS.Planet Team